Bug 1314735 - [RFE] Implement tags for PURPOSE file and use bkrdoc-authorship tag in the default skeleton
[RFE] Implement tags for PURPOSE file and use bkrdoc-authorship tag in the de...
Status: NEW
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
22
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 06:22 EST by David Kutálek
Modified: 2016-09-19 22:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Partial support for PURPOSE file tags + bkrdoc-authorship in default skeleton (1.95 KB, patch)
2016-03-04 06:22 EST, David Kutálek
no flags Details | Diff

  None (edit)
Description David Kutálek 2016-03-04 06:22:18 EST
Created attachment 1133144 [details]
Partial support for PURPOSE file tags + bkrdoc-authorship in default skeleton

Description of problem:

bkrdoc project is now available for generating test documentation automatically:
https://github.com/rh-lab-q/bkrdoc

We would like PURPOSE file to be managed by bkrdoc through life cycle
of the test, but still left possibility for users to manage it manually.

Therefore we propose bkrdoc-authorship tag for PURPOSE file,
presence of which would mean PURPOSE file could be regenerated
by bkrdoc.

So there are 2 parts:

1) general PURPOSE file tag feature:

I propose this general format for PURPOSE file tags:
Tags: tag1 tag2 ... tagX

This feature could be implemented similarly as for bug 857090.
I already created a partial working patch for it (attached).

2) bkrdoc-authorship tag in default beakerlib skeleton

Users who want to manage PURPOSE file manually should
ask wizard to not include the tag via option or simply
delete the Tag line from PURPOSE when editing it.

Version-Release number of selected component (if applicable):

beaker-client-22.1-1.el7sed.noarch
Comment 1 David Kutálek 2016-03-04 06:30:36 EST
Some more details regarding the patch.
What is missing:

 - commandline options for setting tags
 - ability to modify tags in interactive session
 - bkrdoc-authorship tag for example templates

I think it can be easily finished by looking into patch attached in bug 857090,
but I am running out of time at this moment:

https://bugzilla.redhat.com/attachment.cgi?id=1133144

Thank you for considering this feature as I believe
it can bring significant value.
Comment 2 David Kutálek 2016-06-15 12:21:26 EDT
Please, can you take a look, consider this RFE
and give us some ETA proposal?
Thanks in advance.
Comment 3 Roman Joost 2016-06-19 22:17:06 EDT
Dear David,

I had a look at your patch this morning. There is quite substantial work involved to finish the feature. Unfortunately, the original maintainer is not working on beaker-wizard any more and our team is already stretched thin.

I think your RFE is sound in that, it would be a nice to have an integration with bkrdoc. I don't see any chance however that one of us could pick up the patch and finish it. Apart from the integration work you mentioned in Comment 1, we will also have to add a set of tests to make sure it is working and not regressing. If someone else would like to pick up this patch and finish it, we'd be happy to add the tests. If it's entirely up to our team (we are three), I don't see us working on it in the near future. Perhaps something for a rainy day.

Note You need to log in before you can comment on or make changes to this bug.